Package Details: nnn-nerd 4.9-1

Git Clone URL: https://aur.archlinux.org/nnn-nerd.git (read-only, click to copy)
Package Base: nnn-nerd
Description: The fastest terminal file manager ever written (with icon support using a patched nerd font).
Upstream URL: https://github.com/jarun/nnn
Keywords: cli console curses devicons file filemanager font icons manager nerd nerdfont nnn tui
Licenses: BSD
Conflicts: nnn
Provides: nnn
Submitter: luukvbaal
Maintainer: luukvbaal
Last Packager: luukvbaal
Votes: 26
Popularity: 1.04
First Submitted: 2020-12-08 00:11 (UTC)
Last Updated: 2023-08-29 10:10 (UTC)

Dependencies (10)

Required by (3)

Sources (1)

Latest Comments

1 2 Next › Last »

shunlog commented on 2023-05-10 20:11 (UTC)

I hope this will be updated soon, I'm starting to get used to the boxes

jasterlaf commented on 2023-05-05 21:30 (UTC)

thanks, I did paru -G nnn-git and modified the PKGBUILD to do make O_NAMEFIRST=1 O_NERD=1, works now

PutridPete commented on 2023-05-05 03:40 (UTC)

Well, there was a pull request merged recently that fixes this. You can build from source to use the fixed version right now or wait for this package to be updated.

jasterlaf commented on 2023-05-05 01:04 (UTC)

Yeah some icons are just boxes now

PutridPete commented on 2023-05-01 13:53 (UTC) (edited on 2023-05-01 14:57 (UTC) by PutridPete)

Hi there! Since the 3.0.0 update that rolled out today in the main repos for the patched nerd fonts, a lot of the symbols no longer show up for me in nnn-nerd. Is it just me or are others experiencing this too? Also, any ideas on how to fix?

Edit: I just realized there are some breaking changes in the latest nerd-fonts release...

latipun commented on 2022-07-27 14:51 (UTC)

I have successfuly build this in aarch64. Please add that arch. Thank you.

xqft commented on 2021-07-18 01:09 (UTC) (edited on 2021-07-18 01:34 (UTC) by xqft)

When downloading nnn-4.1.1.tar.gz, an error occurs:

curl: (33) HTTP server doesn't seem to support byte ranges. Cannot resume.
==> ERROR: Failure while downloading https://github.com/jarun/nnn/archive/v4.1.1.tar.gz
Aborting...
error downloading sources: nnn-nerd

I restarted reflector to update my mirrors (they seem to work with other AUR packages), I'm also not enforcing a protocol, problem persists.

EDIT: I understand the problem now, fixed by deleting the package cache so the download could resume from the start. Sorry, I don't think the package has anything to do with this.

owarai commented on 2021-03-29 02:49 (UTC)

Thank you, installation works after gpg --recv-keys <pubkey-id>.

luukvbaal commented on 2021-03-28 13:51 (UTC)

@owarai To fix that error you have to import and sign the key. I have removed the gpg signature check however, shouldn't be necessary anymore.